summaryrefslogtreecommitdiffstats
path: root/libraries/gsnmp
diff options
context:
space:
mode:
author Menno Duursma2010-05-11 20:00:47 +0200
committer Robby Workman2010-05-11 20:00:47 +0200
commit948e73097ccb6a40cb0fc15be1f1e25611fb5526 (patch)
tree4db06b5ab0a3912dac1c559ff5cf86243d4b56ed /libraries/gsnmp
parent0fec11f79e7d88f4f0c050c613f686f2031f30a1 (diff)
downloadslackbuilds-948e73097ccb6a40cb0fc15be1f1e25611fb5526.tar.gz
libraries/gsnmp: Added to 12.0 repository
Diffstat (limited to 'libraries/gsnmp')
-rw-r--r--libraries/gsnmp/README10
-rw-r--r--libraries/gsnmp/gsnmp.SlackBuild64
-rw-r--r--libraries/gsnmp/gsnmp.info8
-rw-r--r--libraries/gsnmp/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/libraries/gsnmp/README b/libraries/gsnmp/README
new file mode 100644
index 0000000000..b115420af9
--- /dev/null
+++ b/libraries/gsnmp/README
@@ -0,0 +1,10 @@
+GSNMP an SNMP library written on top of glib and gnet.
+
+The goal of the project is to provide an efficient, clean, portable
+implementation of an SNMP stack for management applications.
+
+GSNMP was written by Juergen Schoenwaelder , though some parts of this
+package contain code originally written by Gregory McLean,
+Jochen Friedrich and Dirk Wisse.
+
+This requires gnet, which is also available at SlackBuilds.org.
diff --git a/libraries/gsnmp/gsnmp.SlackBuild b/libraries/gsnmp/gsnmp.SlackBuild
new file mode 100644
index 0000000000..e1d213b6d4
--- /dev/null
+++ b/libraries/gsnmp/gsnmp.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for gsnmp
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=gsnmp
+VERSION=0.2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -type d -exec chmod 755 {} \;
+find . -type f -exec chmod a-s,go-w {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/gsnmp/gsnmp.info b/libraries/gsnmp/gsnmp.info
new file mode 100644
index 0000000000..48e39f36d0
--- /dev/null
+++ b/libraries/gsnmp/gsnmp.info
@@ -0,0 +1,8 @@
+PRGNAM="gsnmp"
+VERSION="0.2.0"
+HOMEPAGE="https://trac.eecs.iu-bremen.de/projects/gsnmp/"
+DOWNLOAD="ftp://ftp.ibr.cs.tu-bs.de/local/gsnmp/gsnmp-0.2.0.tar.gz"
+MD5SUM="b29025d8aacb19fe5f8c03fc0dad25dd"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="rworkman"
diff --git a/libraries/gsnmp/slack-desc b/libraries/gsnmp/slack-desc
new file mode 100644
index 0000000000..ef97391471
--- /dev/null
+++ b/libraries/gsnmp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gsnmp: GSNMP (SNMP library written on top of glib and gnet)
+gsnmp:
+gsnmp: The goal of the project is to provide an efficient, clean, portable
+gsnmp: implementation of an SNMP stack for management applications.
+gsnmp:
+gsnmp:
+gsnmp:
+gsnmp:
+gsnmp:
+gsnmp:
+gsnmp: